Summary:       Perforce to Bugzilla Bridge
Name:          p4bugzilla
Version:       2.1
Release:       0
License:       Apache 2.0
Vendor:        Promptu Systems Corporation
Packager:      whunter@promptu.com
Provides:      %{name}-%{version}-%{release}
Requires:      jre >= 1.7
Requires:      systemd
BuildRequires: jdk >= 1.7
URL:           http://www.promptu.com
Source0:       %{name}-%{version}.tar.gz
Group:         Applications/Daemons
BuildRoot:     %{_tmppath}/%{name}
BuildArch:     noarch
AutoReqProv:   no

%description
A bridge between Perforce and Bugzilla. It takes p4 check-in comments and adds them to bugs.

%prep
%setup -q

%build
gradle clean jar

%install
rm -rf $RPM_BUILD_ROOT

# Install all the jars 
install -d -m 755 $RPM_BUILD_ROOT/opt/p4bugzilla
install -m 755 build/libs/p4bugzilla.jar $RPM_BUILD_ROOT/opt/p4bugzilla/p4bugzilla.jar
JARS=`gradle -q listJars`
for jar in $JARS; do
    install -D -m 755 $jar $RPM_BUILD_ROOT/opt/p4bugzilla/`basename $jar`
done

install -d -m 755 $RPM_BUILD_ROOT/etc
install -m 444 p4bugzilla.conf $RPM_BUILD_ROOT/etc/p4bugzilla.conf

install -d -m 755 $RPM_BUILD_ROOT/usr/lib/systemd/system
install -m 444 p4bugzilla.service $RPM_BUILD_ROOT/usr/lib/systemd/system/p4bugzilla.service

install -d -m 755 $RPM_BUILD_ROOT/etc/sysconfig
install -m 444 p4bugzilla.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/p4bugzilla

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /opt/p4bugzilla
/opt/p4bugzilla/*
%config /etc/p4bugzilla.conf
%config /usr/lib/systemd/system/p4bugzilla.service
%config /etc/sysconfig/p4bugzilla

%post
systemctl enable p4bugzilla.service

%preun
if [ "$1" = "0" ]; then
    systemctl disable p4bugzilla.service
fi

%changelog
* Mon Nov 28 2016 Warwick Hunter <whunter@promptu.com>
- 2.1-0 Convert to use the new Bugzilla REST API.
* Fri Nov 25 2016 Warwick Hunter <whunter@promptu.com>
- 2.0-0 Convert to use the newer form of XMLRPC to talk to v5 versions of bugzilla and the new Perforce API.
* Fri Sep 23 2016 Warwick Hunter <whunter@promptu.com> 
- 1.2-0 Convert to startup under systemctl to work on modern Fedora/Centos systems
* Tue Oct 27 2015 Warwick Hunter <whunter@promptu.com> 
- 1.1-4 Support all users not just those listed in the config file. Remove the list from the config file.
* Mon Oct 26 2015 Warwick Hunter <whunter@promptu.com> 
- 1.1-3 Permit up to 100 bugs to be mentioned in a single check-in
* Thu May 10 2012 Warwick Hunter <whunter@promptu.com> 
- 1.1-2 Use the XMLRPC interface to fix the bug instead of web scraping.
* Thu Dec 1 2011 Warwick Hunter <whunter@promptu.com>
- 1.1-1 Support an optional # in front of a bug number because it's quite a common human convention.
- Add a little more logging to try and determine why the bridge occasionally dies. p4 change 8043
* Wed Mar 16 2011 Warwick Hunter <whunter@promptu.com> 
- 1.1-0 Small changes to the integration interface to make it work with Bugzilla 4.0
* Tue Aug 31 2010 Warwick Hunter <whunter@promptu.com>
- 1.0-1 Bugfix 13222. Changed the format of the comment added to Bugzilla to make the user more obvious.
* Tue Jul 13 2010 Warwick Hunter <whunter@promptu.com>
- 1.0-0 Initial build.
