package p4;

import com.perforce.p4java.core.IChangelistSummary;

/**
 * Change listening interface. Classes that implement this interface
 * can be used by the <code>Reviewer</code> on the appropirate
 * changelists. The implementing class must also have a no-argument
 * constructor.
 *
 * @see P4Bugzilla
 * @author <a href="mailto:david@markley.cc">David Markley</a>
 * @version $Date: 2016/11/24 $ $Revision: #3 $
 */
public interface ChangeListener {

  /**
   * Handles a changelist with an associated list of users. This is
   * called by the <code>Reviewer</code> if there is a match found
   * with the underlying class. The user is typically filled with
   * all users that are reviewing the change except those that
   * had specific classes associated with their Id. The user array
   * may also be null.
   *
   * @see P4Bugzilla
   * @param chng  Current changelist being reviewed/handled.
   */
   void handleChange(IChangelistSummary chng);
}
